
###Load Packages############
install.packages("directlabels")

library(ggplot2)
library(tidyverse)
library(grid)
library(gridExtra)
library(directlabels)

###Load Data########################################


wmodel <- read.csv("NaijaCoVModel.csv", header = TRUE)

# Plot
plot(data = wmodel, aes(x=d2, y=d34))

###New Compact Composite#############

myplot1 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d5), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  ggtitle("0 - 20%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=10, face="bold", margin = margin(10, 0, 10, 0)))


myplot2 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d7b), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  ggtitle("40 - 60%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=10, face="bold", margin = margin(10, 0, 10, 0)))


myplot3 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d8), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  ggtitle("80 - 100%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=10, face="bold", margin = margin(10, 0, 10, 0)))


myplot4 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d14b), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("0 - 20%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


myplot5 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d18), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("40 - 60%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


myplot6 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d20), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("80 - 100%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


myplot7 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d24b), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("0 - 20%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


myplot8 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d28), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("40 - 60%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


myplot9 <- ggplot(data=wmodel, aes(x=d2)) +
  geom_line(aes(y=d32), colour="firebrick", size = 1) + 
  geom_line(aes(y=d34), colour="blue", size = 1) +
  ylim (0, 10000000) +
  xlab("Days since February 27 2020") + 
  ylab("Number of Cases") + 
  theme(axis.title.y = element_text(size = rel(0.8), angle = 90)) +
  theme(axis.title.x = element_text(size = rel(0.8), angle = 00)) +
  #ggtitle("80 - 100%") + 
  scale_x_continuous(breaks=seq(0, 500, 50)) +  # Ticks from 0-10, every .25
  theme(axis.text.x = element_text(size=10, angle=45)) + #change axis label element
  theme(legend.position = "bottom") +
  theme(plot.title = element_text(size=20, face="bold", margin = margin(10, 0, 10, 0)))


#GridExtra package needed for this
grid.arrange(myplot1, myplot2, myplot3, myplot4, myplot5, myplot6, myplot7, myplot8, myplot9, nrow = 3, ncol=3)


grid.arrange(arrangeGrob(myplot1, myplot2, myplot3, myplot4, myplot5, myplot6, myplot7, myplot8, myplot9, nrow = 3, ncol=3,
                         top = textGrob(" ",gp=gpar(fontsize=20,font=3))))         #Add the appropriate XXXX text

